<form [formGroup]="signupForm" (ngSubmit)="onSignup()" class="form-signin">

  <h1 class="h3 mb-3 font-weight-normal">Please sign up</h1>

  <div class="form-group">
    <input formControlName="email" email class="form-control" placeholder="Email address" required autofocus>
    <p class="text-danger" *ngIf="signupForm.controls.email.hasError('required')
      && signupForm.controls.email.touched">The
      email is required</p>
    <p class="text-danger" *ngIf="signupForm.controls.email.hasError('email')
      && signupForm.controls.email.touched">Enter
      a valid email</p>
  </div>

  <div class="form-group">
    <input formControlName="password" type="password" class="form-control" placeholder="Password" required>
    <p class="text-danger" *ngIf="signupForm.controls.password.hasError('required')
      && signupForm.controls.password.touched">The
      password is required</p>
    <p class="text-danger" *ngIf="signupForm.controls.password.hasError('minLength')
      && signupForm.controls.password.touched">
      The password must be between 6 and 20 characteres
    </p>
  </div>

  <button [disabled]="!signupForm.valid" class="btn btn-lg btn-primary btn-block" type="submit">
    Sign up
  </button>

</form>